Episode-87

Play

Listener Feedback


Ken Fallon

I was thinking of submitting a proposal for a Podcast Table at FOSDEM on
3rd/4th Feb 2018 in Brussels.
https://fosdem.org/2018/

Rather than promoting just HPR, I want to promote as many different
shows as possible. The Linux LugCast is exactly the sort of show that a
lot of new participants will want to know about.

It’s probably unlikely that you can attend personally but I’d still like
to hand out flyers and stickers etc. Is it OK with you if I include the
Linux LugCast podcast as part of the proposal ?


Regards,

Ken Fallon

Show Topics

FiftyOneFifty   
Security:  Tom Lawrence explains why the Equifax security breach might not be entirely unforgivable.  Apache Struts had patches available but would have required testing against in house software. https://www.youtube.com/attribution_link?a=HzmAax8YqBRbBl2G&u=/watch%3Fv%3DxGZXoY4Bopg%26feature%3Dem-uploademail
BlueBourne malware can infect Mac, Windows, and Linux implementations with stack protection disabled, exploints vulnerability in Bluetooth drivers http://www.zdnet.com/article/linux-gets-blasted-by-blueborne-too/

Saga of installing 3D printing software on the ODroid U2: First, I need to apologize to the developers of Ubuntu for the ODroid U2.  Once I fixed an unrecognized connectivity issue,  I was able to connect to the repos and update the system.  My version is 14.04 Trusty LTS, so it won’t do a version upgrade unless I force it.  The common slicer apps are still not in the repos, but I now believe that is because they haven’t been compiled for ARM except in the form of Cura as part of Octoprint.  Buying another RPi 3 may truly be the path of least resistance at this point.

I did find an article that successfully guided me through compiling Slic3r on the U2, with some tweaks.  http://www.hoektronics.com/2013/05/05/compiling-slic3r-on-raspberry-pi/

I found all the packages referenced in the first step had already been installed as had been screen.  Installing the cpanm dependencies took significantly less time than the article suggests, perhaps because the U2 is faster than the Pi’s of 2013, when the article was written.  I already had a GUI running, so I could skip that step.  I did a git clone on the slicer code.  The next step is where I had to make a change.  The first time I checked out Slic3r 0.9.9, and when compiling in the next step, it turns out the code was not compatible with the current version of Perl.  I checked what was current on the Slic3r homepage, http://slic3r.org/ and saw the current version was 1.2.9 .  Redoing the git clone and replacing the instruction “git checkout 0.9.9” with “git checkout 1.2.9” provided me with a version of the code that could be compiled with the installed version of Perl.  The next instruction “sudo perl Build.PL” worked, but did not create the Build file referenced in the next instruction “sudo ./Build install”.  Fortunately, the perl Build.PL output gave me the installation command; unfortunately, I keep working and scrolled past it with out recording the command.  The last command on the Hoektonics article completed the configuration.  Issuing ./slic3r.pl brings up a list of arguments for Slic3r, but if I do ./slic3r.pl –gui, I’m told I need OpenGL.  When I Try to install the glut libraries “sudo apt-get install libglut3-dev”, I’m told they don’t exist in the repos.  I’m going to try the GUI App Manager, but I had to reboot first to let some updates install.  

So, to re-cap, OpenGl is required to run a GUI version of Slic3r.  Unfortunately, I discovered no ODroid supports OpenGl.  
1.  Short answer: No ODroid device supports OpenGL [SERIOUSLY!!!]  https://forum.odroid.com/viewtopic.php?f=54&t=9621
2.  Long answer: OpenGL ES should work instead (see link above).  WT* is OpenGL ES?
3.  The ES stands for “Embedded System”  Ubuntu don’t play that.  https://www.opengl.org/discussion_boards/showthread.php/174720-Installing-OpenGL-ES2-0-in-Ubuntu-10-04  (Okay, the post is from 2011, but it’s enough to discourage me at 1AM)
4.  This page explains work arounds for installing OpenGL ES.  Turns out almost all the libraries were already up to date (one not found).  Then it goes into compiling someone else’s C code requiring importing libraries.  Lost me there even if it would have worked.  I’ve already invested more time just this evening than a RPi 3 is worth.  A lot of this effort was just plain stubbornness and justifying buying the used U2.  Since it can update against current repos, I’ll probably re task it as my ZoneMinder server once I get my external cameras set up.

If OpenGL had worked:
1:  I expect it would have been installed by default and I wouldn’t have had to do anything.
2.  These instructions appeared on the Google page once I specified Ubuntu 14.04
1. Type/Copy/Paste: sudo apt-get update

2. Type/Copy/Paste: sudo apt-get install freeglut3

3. Type/Copy/Paste: sudo apt-get install freeglut3-dev

4. Type/Copy/Paste: sudo apt-get install binutils-gold

3.If you still have trouble, perhaps the OpenGL perl bindings are not installed
>sudo cpan -i OpenGL https://github.com/alexrj/Slic3r/issues/3075

OK, if I can’t get GUI Slic3r, then maybe I can still install OctiPrint. I’d noticed the U2’s clock wasn’t getting updated by the NTP server.  It hadn’t been a problem before updating Ubuntu, but now no SSL sites would load because the certs were invalid because of the discrepancy in the date.  I’d attempted to reconcile the NTP server but failed. In #linuxlugcast, kwisher said he’d seen it before and recommended uninstalling and reinstalling NTP first.

>sudo apt-get remove –purge ntp
>sudo apt-get install ntp
>sudo dpkg-reconfigure ntp
>sudo dpkg-reconfigure tzdata

That let SSL sites load, but Firefox and Chrome were still unstable (seems like this happened on my C2 as well).

Kwisher also gave me a link to instructions on installing OctoPrint on a Pi http://forum.diigiit.com/viewtopic.php?pid=1729  I went smoothly until the second to last instruction where it refused to compile.  Next day I ordered a Pi 3.

Fixing my broken Solus install was so absurdly easy I’m embarrassed to tell.  I’d already determined Linux was still running behind the blinking cursor because <Ctrl><Alt><Del> caused a reboot.  <Ctrl><Alt><F1> put me in a terminal with a login prompt.  After logging in, I performed another update and it fixed what ever broke on the last one.  Next show, I’ll present a summary of all the other things I tried which may be relevant for a listener in the future.

Installed a Ubiquiti UniFi AP.  Surprisingly, setup on Linux was not as trivial as one might expect.
1. Controller software (replacing the expensive controller hardware required by other enterprise WiFi  solutions) was only available as a .deb (with Intel binaries)

1. Looked for a solution to install a .deb on my Arch server.  Neither dpkg for Arch or the DebTap script panned out.

2. >sudo dpkg -i UniFiController.deb resulted in unmet dependencies.  >apt-cache search revealed I needed to install MongoDB to complete the setup.

3. After physical setup, you still need to download the User Manual.  It doesn’t mention Linux, but you can access the controller at //localhost:8443.  From there, it is just a matter of following the prompts.  The controller does not need to stay running for the AP to work.

When next we meet, I will have been to Ohio Linux Fest in Columbus.

HonkeyMagoo
Octoprint on orange pi zero using armbian
http://www.nanohawk.com/configuring-octoprint-on-an-orange-pi-zero-using-armbian-debian-jessie-distro/

How to install Octoprint on Linux
https://github.com/foosel/OctoPrint/wiki/Setup-on-a-Raspberry-Pi-running-Raspbian

Next recording date: Oct. 6, 2017

Ways to contact us:

Email = feedback@linuxlugcast.com

G+ community = https://plus.google.com/u/0/communities/101183999294924142060

Mailing listg = http://linuxlugcast.com/mailman/listinfo/lugcast_linuxlugcast.com

IRC = server: Freenode
channel: #linuxlugcast